Skip to content
Start here

List locations

GET/radar/entities/locations

Retrieves a list of locations.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Query ParametersExpand Collapse
continent: optional "AF" or "AS" or "EU" or 3 more

Filters results by continent code.

One of the following:
"AF"
"AS"
"EU"
"NA"
"OC"
"SA"
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit: optional number

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
location: optional string

Filters results by location. Specify a comma-separated list of alpha-2 location codes.

offset: optional number

Skips the specified number of objects before fetching the results.

minimum0
region: optional string

Filters results by region.

maxLength100
subregion: optional string

Filters results by subregion.

maxLength100
ReturnsExpand Collapse
result: { locations }
locations: array of { alpha2, continent, latitude, 4 more }
alpha2: string
continent: string
latitude: string

A numeric string.

longitude: string

A numeric string.

name: string
region: string
subregion: string
success: boolean

List locations

curl https://api.cloudflare.com/client/v4/radar/entities/locations \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "locations": [
      {
        "alpha2": "AF",
        "continent": "AS",
        "latitude": "10",
        "longitude": "10",
        "name": "Afghanistan",
        "region": "Middle East",
        "subregion": "Southern Asia"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "locations": [
      {
        "alpha2": "AF",
        "continent": "AS",
        "latitude": "10",
        "longitude": "10",
        "name": "Afghanistan",
        "region": "Middle East",
        "subregion": "Southern Asia"
      }
    ]
  },
  "success": true
}